package com.example.acapendulum20.model

import android.os.Parcelable
import androidx.room.Entity
import androidx.room.PrimaryKey
import androidx.room.ForeignKey
import com.example.acapendulum20.data.UserDao
import com.example.acapendulum20.data.UserDao_Impl
import kotlinx.android.parcel.Parcelize
import java.time.LocalDateTime

@Parcelize
@Entity(tableName = "measurement_table")
/*, foreignKeys = [ForeignKey(entity = Session::class,
    parentColumns = arrayOf("id"),
    childColumns = arrayOf("sessionRef"),
    onDelete = ForeignKey.CASCADE)]
)

 */
data class Measurement(
    @PrimaryKey
    val id: String,
    val targetVelocity: Float,
    val maxAttemptTime: Float,
    val attemptTime: Float,
    val startTime: Float,
    val endTime: Float,
    val owner: String,

    ): Parcelable
